Subject: Re: [netext] Review of I-D: draft-ietf-netext-pd-pmip-01

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 02 Nov 2012 01:30:58 +0100

Le 10/11/2011 20:36, Sri Gundavelli a écrit :
> I agree. I think we should simply assume the DHCPv6 server and the
> LMA are collocated. For the split case, we loosely specify the
> assumptions and the interface should be out of scope.

In case LMA is separated from the DHCPv6 Server we propose two message
exchange diagrams, depending on whether or not the DHCP Server can be
modified or not.  The proposals are in the individual submission
draft-petrescu-netext-pmip-nemo-01 pages 8 and 9.

What are the assumptions that you refer to above?

Alex

>
>
> Sri
>
>
> On 11/10/11 1:29 PM, "[email-masked]"
> <[email-masked]> wrote:
>
>>
>> Inline:
>>
>> On 11/10/11 2:21 PM, "ext jouni korhonen" <[email-masked]>
>> wrote:
>>
>>> Raj,
>>>
>>> On Nov 10, 2011, at 2:30 PM, [email-masked] wrote:
>>>
>>>>> 4. If the prefixes (delegated) are provided by a DHCP server
>>>>> (and not the LMA), how does the LMA get informed about these?
>>>>> In the PBU? How do you ensure that "All the mobile network
>>>>> prefixes managed in the DR MUST be reachable via local
>>>>> mobility anchor (LMA)" when they are not assigned by the
>>>>> LMA?
>>>> [Joy]Here it assumes that the LMA can interact with the DHCPv6
>>>> Server within some other mechanisms e.g. Radius.
>>>
>>> The situation is the same as with PMIP6 and DHCPv6 in general.
>>> The DHCPv6 server and the LMA has to be in sync. There is no need
>>> for an interface as everything can be managed with configuration.
>>> But that does not preclude having an interface between the LMA
>>> and the DHCPv6 server.
>>
>> How do you keep the DHCPv6 server and the LMA in sync? Is it
>> considered out-of-scope and the actual method about how they are
>> synced not specified? If the DHCPv6 server and LMA are co-located,
>> it could be easier. If they are not, then it may be an issue. The
>> argument that you can use a Radius type interface between DHCPv6
>> server and the LMA is not good enough. Is there such a
>> specification? The Netext WG has only specified the RADIUS
>> interactions between a AAA server and the MAG/LMA entities.
>>
>> -Raj
>>
>>>
>>> - Jouni
>>>
>>>
>>>
>>
>> _______________________________________________ netext mailing
>> list [email-masked] https://www.ietf.org/mailman/listinfo/netext
>
> _______________________________________________ netext mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/netext
>